Bug 199883 - xscreensaver does not have password window.
xscreensaver does not have password window.
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-07-23 18:36 EDT by Charles Curley
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 14:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2006-07-23 18:36:06 EDT
Description of problem:

xscreensaver does not have password window.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:

1. Do a fresh installation of FC5, then update to the current updates
   (~22 July).

2. Remove gnome-screensaver. Install screensaver-base.

3. Set up the screen saver to operate, preferably with a short time
   out. Set the screen to lock some time after the screen blanks.

4. Wait for the time out to occur. Strike a key, move the mouse,
   etc. to disable the screen saver.
Actual results:

I get the mouse pointer, but no password prompt. I have to shut X down
to recover, which can be rather brutal.

Expected results:

I expect to see the good old Xscreensaver password prompt. I expect to
enter my password and be back in business.

Additional info:

The reason I removed the gnome screen saver and installed the other is
because xscreensaver allows an interval between the screen saver
kicking in. This is an essential safety when driving with a laptop,
e.g. for navigation, wardriving, security auditing. If
gnome-screensaver cannot do this for me, I cannot use it.

I tried having both installed. I get the gnome screensaver control
app, so that is not an acceptable workaround.

If you can add the separate password protection delay to
gnome-screensaver, please do. Meanwhile I still need a proper screen
saver tool as soon as you can reasonably do it.
Comment 1 Ray Strode [halfline] 2008-03-18 14:33:53 EDT

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.